aboutsummaryrefslogtreecommitdiffstats
path: root/uninstall.sh
diff options
context:
space:
mode:
authorLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2022-02-26 20:31:12 +0530
committerLibravatarLibravatar Biswakalyan Bhuyan <biswa@surgot.in> 2022-02-26 20:31:12 +0530
commit85ae438fbc238fe56bcb1c10a12ec52365053cb6 (patch)
tree7aa2c802739657f22fd8de735207b27fc6e7e8a9 /uninstall.sh
downloaddwmbar-85ae438fbc238fe56bcb1c10a12ec52365053cb6.tar.gz
dwmbar-85ae438fbc238fe56bcb1c10a12ec52365053cb6.tar.bz2
dwmbar-85ae438fbc238fe56bcb1c10a12ec52365053cb6.zip
dwmbar dotfiles
Diffstat (limited to 'uninstall.sh')
-rwxr-xr-xuninstall.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/uninstall.sh b/uninstall.sh
new file mode 100755
index 0000000..089158b
--- /dev/null
+++ b/uninstall.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# Copyright 2019 Archie Hilton <archie.hilton1@gmail.com>
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+if [ "$EUID" -ne 0 ]
+ then echo "Please run as root"
+ exit 1
+fi
+
+rm -rf "/usr/share/dwmbar"
+rm -f "/usr/bin/dwmbar"
+
+echo "Completed."
+echo "Please delete ~/.config/dwmbar manually, if desired."